BLKTOOL(8)

NAME
blktool - Display or change block device settings

SYNOPSIS

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options] device

blktool [options]

blktool [options] device

DESCRIPTION
blktool is used for querying and/or changing settings of a block device.

device is the name of the block device to query or modify.

OPTIONS

-f  For a few commands, blktool will flush the buffers of the block device out to disk, before performing the requested command. Specify this option, "force", disables any flushing blktool would attempt to do.

-t class
    where class is one of 'ide', 'ata', 'scsi', 'i2o', or 'auto' to override the default auto-detection of device class.

COMMANDS

acoustic-mgmt
    Query or set underlying device's acoustic level.

block-sz
    Query or set device block size.

bus-id
    Query device bus id.

bus-state
    Query or set device bus state (0 off, 1 on, 2 tristate)

class
    Query the detected (or overridden, via -t) device class. Typically this will result in 'ATA' or 'SCSI' for most devices. Detection is based on device major; thus your SATA device may appear as 'SCSI'.

cd-speed
    Set CD-ROM device speed (in Kbytes/sec).

defect-mgmt
    Toggle underlying device's defect management (obsolete).

dev-keep-settings
    Toggle underlying device's revert-to-defaults-on-reset feature.

dev-read-ahead
    Toggle underlying device's read-ahead feature.

dma Toggle DMA data transfer. Omitting the on/off argument will print the current state.

geometry
    Query device geometry (cylinders / heads / sectors / etc.).

i2o-rcache
    Query or set an I2O block device's read cache.

i2o-wcache
    Query or set an I2O block device's write cache.

id  Query IDENTIFY [PACKET] DEVICE data.

keep-settings
    Keep settings across device resets. Omitting the on/off argument will print the current state.

media
    Lock in (or unlock) a removable device.

multiple-count
    Set multiple count for use in READ/WRITE MULTIPLE commands.

no-write-err
    Toggle ignore-write-errors flag. Omitting the on/off argument will print the current state.

pio-data
    ATA PIO data transfer via 16-bit or 32-bit I/O. Omitting the on/off argument will print the current state.

pio-mode
    Set underlying ATA device's PIO data transfer mode.

pm-mode
    Set underlying device's Advanced Power Management mode.

queued-depth
    Query or set underlying device's queue depth.

read-ahead
    Query or set block device read-ahead (in units of sectors).

readonly
    Toggle block device read-only setting. Omitting the on/off argument will print the current state.

reread-part
    Re-read partition table.

reset
    Execute device reset.

sector-sz
    Query device sector size.

sleep
    Put device to sleep immediately.

standby
    Put device in standby mode.

unmask-irq
    Toggle unmasked irqs. Omitting the on/off argument will print the current state.

version
    Print version number and exit.

wcache
    Toggle underlying device's writeback cache.

BUGS
Inevitably there are some. Please report any you find.

AUTHOR
blktool was written by Jeff Garzik.

AVAILABILITY
blktool is available over the Web on the SourceForge site at http://sourceforge.net/projects/gkernel/